Bug 799581 - Segmentation fault. 0x455640ec in __strcasestr_sse42_nonascii () from /lib/libc.so.6
Segmentation fault. 0x455640ec in __strcasestr_sse42_nonascii () from /lib/li...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 03:20 EST by Knut J BJuland
Modified: 2016-11-24 10:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 23:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
objdump -x /lib/libc.so.6 >libc6.asm (511.33 KB, text/plain)
2012-05-04 04:45 EDT, Knut J BJuland
no flags Details

  None (edit)
Description Knut J BJuland 2012-03-03 03:20:44 EST
Description of problem:
When I start IBM SPSS 19 for linux it segment crash

Version-Release number of selected component (if applicable):


How reproducible:
Start IBM SPSS 19

Steps to Reproduce:
1. SPSS_HOME=/opt/IBM/SPSS/Statistics/19
2.  cd /opt/IBM/SPSS/Statistics/19
3. . /opt/IBM/SPSS/Statistics/19/bin/statsenv.sh
4 ddd /opt/IBM/SPSS/Statistics/19/bin/STATISTICS $@
Or start from command line
  
Actual results:
Segment fault with   Segmentation fault. 0x455640ec in __strcasestr_sse42_nonascii () from /lib/libc.so.6

Expected results:

It should start as it is compatible with Redhat Enteprise linux 6.

Additional info:
Comment 1 Knut J BJuland 2012-03-03 13:25:52 EST
STATISTICS[21848] general protection ip:455640ec sp:ffd456f4 error:0 in libc-2.14.90.so[45427000+1a7000]
Comment 2 Jeff Law 2012-03-05 13:31:25 EST
Knut, can you please see if this also fails with SPSS 20?  I don't have a copy of SPSS 19, nor can I find one one the web that I can use.  However, I can get a trial for SPSS 20.

Can you also verify whether this is an x86 or x86_64 application that is failing?  

file /opt/IBM/SPSS/Statistics/19/bin/STATISTICS
Comment 3 Knut J BJuland 2012-03-06 05:18:48 EST
/opt/IBM/SPSS/Statistics/19/bin/STATISTICS: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.2.5, not stripped
Comment 4 Jeff Law 2012-03-12 14:51:48 EDT
Knut,
Are you able to test this with SPSS20?  As I mentioned in c#2, I don't have a copy of SPSS19, but I can get a copy of SPSS20.

A full backtrace would also be helpful as the path to strcasestr as well as the arguments may point us to the core problem.

Jeff
Comment 5 Knut J BJuland 2012-03-28 12:00:54 EDT
GNU DDD 3.3.12 (x86_64-redhat-linux-gnu), by Dorothea Lütkehaus and Andreas Zeller.
Copyright © 1995-1999 Technische Universität Braunschweig, Germany.
Copyright © 1999-2001 Universität Passau, Germany.
Copyright © 2001 Universität des Saarlandes, Germany.
Copyright © 2001-2004 Free Software Foundation, Inc.
Reading symbols from /opt/IBM/SPSS/Statistics/19/bin/STATISTICS...done.
(gdb) set args
(gdb) run
Missing separate debuginfo for /lib/ld-linux.so.2
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/03/51a659bc0812678c67f62af1f802a5f367befc.debug
Missing separate debuginfo for /lib/libnsl.so.1
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/81/63f121b94883addbeb3dc331bfb34338aca566.debug
Missing separate debuginfo for /lib/libpthread.so.0
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/66/bde8f1c5ea0505d428ab205352524e2ccfa7ac.debug
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Missing separate debuginfo for /lib/libdl.so.2
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/10/cec21724c13b95ec03f00985b0405412817a49.debug
Missing separate debuginfo for /lib/librt.so.1
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/70/ec0be07448920a83c0bceafed09d46008e56b1.debug
Missing separate debuginfo for /lib/libm.so.6
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/96/b666a7f6d7a80ea6f9aef54f0cdd0f6190c058.debug
Missing separate debuginfo for /usr/lib/libstdc++.so.5
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/9e/29ba9fa821b74165220c959b5866d33129c26f.debug
Missing separate debuginfo for /lib/libgcc_s.so.1
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/4b/65b2ab36082e9552ad2014fac436421c4f65ad.debug
Missing separate debuginfo for /lib/libc.so.6
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/e4/2d500dc9e803be62453540b4c81a12e96a006a.debug
Missing separate debuginfo for /usr/lib/libnuma.so.1
Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/b1/e761e9a1863a759201e4a2c9211aee03042b31.debug

Program received signal SIGSEGV, Segmentation fault.
0x434ec0ec in __strcasestr_sse42_nonascii () from /lib/libc.so.6
(gdb) 


I have a x86_64 bit system.
Comment 6 Jeff Law 2012-03-29 15:21:09 EDT
Can you issue a "bt" command to DDD/gdb after it gets control?  That would give me the full backtrace which might help diagnose the problem.

If you have root privileges on the machine running

debuginfo-install glibc 

before running the ddd/gdb test again would be helpful.

Also, as I asked earlier, have you tried with SPSS 20, I don't have access to SPSS19.

Jeff
Comment 7 Knut J BJuland 2012-03-31 12:24:23 EDT
Hi

It works with SPSS 20. I have issued debuginfo-install glibc, but I use x86_64 pc with 64 bits linux. 


sudo debuginfo-install glibc

Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package nss-softokn-debuginfo-3.13.3-2.1.fc16.x86_64 already installed and latest version
Package nss-softokn-debuginfo-3.13.3-2.1.fc16.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
Package glibc-debuginfo-2.14.90-24.fc16.6.x86_64 already installed and latest version
No debuginfo packages available to install
Comment 8 Jeff Law 2012-04-17 00:58:43 EDT
Thanks for the additional information.  However, you still haven't provided the backtrace which could be critical for debugging this problem.

Please run



When ddd/gdb gets control after the segfault, please issue the following commands and provide me with the output.

info file
backtrace
x/40i $pc
i r



Could you also issue the following commands and send me the result

rpm -qa | grep glibc

objdump -x /lib/libc.so.6
Comment 9 Knut J BJuland 2012-05-04 04:39:46 EDT
(gdb) info file
Symbols from "/opt/IBM/SPSS/Statistics/19/bin/STATISTICS".
Unix child process:
	Using the running image of child Thread 0xf6aed900 (LWP 15916).
	While running this, GDB does not access memory from...
Local exec file:
	`/opt/IBM/SPSS/Statistics/19/bin/STATISTICS', file type elf32-i386.
	Entry point: 0x804cd40
	0x08048134 - 0x08048147 is .interp
	0x08048148 - 0x08048168 is .note.ABI-tag
	0x08048168 - 0x08048a0c is .hash
	0x08048a0c - 0x08049c0c is .dynsym
	0x08049c0c - 0x0804c3b2 is .dynstr
	0x0804c3b2 - 0x0804c5f2 is .gnu.version
	0x0804c5f4 - 0x0804c6c4 is .gnu.version_r
	0x0804c6c4 - 0x0804c76c is .rel.dyn
	0x0804c76c - 0x0804c94c is .rel.plt
	0x0804c94c - 0x0804c963 is .init
	0x0804c964 - 0x0804cd34 is .plt
	0x0804cd40 - 0x080589a8 is .text
	0x080589a8 - 0x080589c3 is .fini
	0x080589e0 - 0x0805a7c5 is .rodata
	0x0805a7c8 - 0x0805ad8c is .eh_frame_hdr
	0x0805b000 - 0x0805b080 is .data
	0x0805b080 - 0x0805e28c is .eh_frame
	0x0805e28c - 0x080603aa is .gcc_except_table
	0x080603ac - 0x080604e4 is .dynamic
	0x080604e4 - 0x080604f0 is .ctors
	0x080604f0 - 0x080604f8 is .dtors
	0x080604f8 - 0x080604fc is .jcr
	0x080604fc - 0x08060648 is .got
	0x08060648 - 0x08060658 is .bss
	0x4338a114 - 0x4338a138 is .note.gnu.build-id in /lib/ld-linux.so.2
	0x4338a138 - 0x4338a1f8 is .hash in /lib/ld-linux.so.2
	0x4338a1f8 - 0x4338a2dc is .gnu.hash in /lib/ld-linux.so.2
	0x4338a2dc - 0x4338a4ac is .dynsym in /lib/ld-linux.so.2
	0x4338a4ac - 0x4338a63a is .dynstr in /lib/ld-linux.so.2
	0x4338a63a - 0x4338a674 is .gnu.version in /lib/ld-linux.so.2
	0x4338a674 - 0x4338a73c is .gnu.version_d in /lib/ld-linux.so.2
	0x4338a73c - 0x4338a7a4 is .rel.dyn in /lib/ld-linux.so.2
	0x4338a7a4 - 0x4338a7d4 is .rel.plt in /lib/ld-linux.so.2
	0x4338a7e0 - 0x4338a850 is .plt in /lib/ld-linux.so.2
	0x4338a850 - 0x433a3edf is .text in /lib/ld-linux.so.2
	0x433a3ee0 - 0x433a7d00 is .rodata in /lib/ld-linux.so.2
	0x433a7d00 - 0x433a7d01 is .stapsdt.base in /lib/ld-linux.so.2
	0x433a7d04 - 0x433a8360 is .eh_frame_hdr in /lib/ld-linux.so.2
	0x433a8360 - 0x433aa81c is .eh_frame in /lib/ld-linux.so.2
	0x433abc80 - 0x433abefc is .data.rel.ro in /lib/ld-linux.so.2
	0x433abefc - 0x433abfc4 is .dynamic in /lib/ld-linux.so.2
	0x433abfc4 - 0x433abff4 is .got in /lib/ld-linux.so.2
	0x433ac000 - 0x433ac834 is .data in /lib/ld-linux.so.2
	0x433ac838 - 0x433ac8f8 is .bss in /lib/ld-linux.so.2
	0xf7f9d0d4 - 0xf7f9f5dc is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7f9f5dc - 0xf7fa496c is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fa496c - 0xf7fad8d9 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fad8da - 0xf7fae34c is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fae34c - 0xf7fae47c is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fae47c - 0xf7fb2c64 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fb2c64 - 0xf7fb424c is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fb424c - 0xf7fb4263 is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fb4264 - 0xf7fb6e44 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fb6e50 - 0xf7fe1ea4 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fe1ea4 - 0xf7fe1ebf is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fe1ec0 - 0xf7fe26a0 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fe26a0 - 0xf7fe26a8 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fe3000 - 0xf7fe3700 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fe3700 - 0xf7fe3778 is .data1 in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7fe3778 - 0xf7ff3e84 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7ff3e84 - 0xf7ffae70 is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7ffae70 - 0xf7ffafb0 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
        0xf7ffafb0 - 0xf7ffb010 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7ffb010 - 0xf7ffb018 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7ffb018 - 0xf7ffb01c is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7ffb01c - 0xf7ffbc1c is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7ffbc20 - 0xf7ffbe44 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libplatdep.so
	0xf7f7c0d4 - 0xf7f7cc14 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f7cc14 - 0xf7f7e884 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f7e884 - 0xf7f811c2 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f811c2 - 0xf7f81550 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f81550 - 0xf7f81650 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f81650 - 0xf7f828b0 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f828b0 - 0xf7f830b0 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f830b0 - 0xf7f830c7 is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f830c8 - 0xf7f840d8 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f840e0 - 0xf7f92914 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f92914 - 0xf7f9292f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f92940 - 0xf7f930e4 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f930e4 - 0xf7f930ec is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f94100 - 0xf7f9442c is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9442c - 0xf7f99398 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f99398 - 0xf7f9c4a4 is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9c4a4 - 0xf7f9c5cc is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9c5cc - 0xf7f9c5e8 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9c5e8 - 0xf7f9c5f0 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9c5f0 - 0xf7f9c5f4 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9c5f4 - 0xf7f9ca84 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f9caa0 - 0xf7f9ce1c is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libtempdir.so
	0xf7f0c154 - 0xf7f0c178 is .note.gnu.build-id in /lib/libnsl.so.1
	0xf7f0c178 - 0xf7f0c198 is .note.ABI-tag in /lib/libnsl.so.1
	0xf7f0c198 - 0xf7f0c828 is .gnu.hash in /lib/libnsl.so.1
	0xf7f0c828 - 0xf7f0d768 is .dynsym in /lib/libnsl.so.1
	0xf7f0d768 - 0xf7f0e3be is .dynstr in /lib/libnsl.so.1
	0xf7f0e3be - 0xf7f0e5a6 is .gnu.version in /lib/libnsl.so.1
	0xf7f0e5a8 - 0xf7f0e64c is .gnu.version_d in /lib/libnsl.so.1
	0xf7f0e64c - 0xf7f0e6cc is .gnu.version_r in /lib/libnsl.so.1
	0xf7f0e6cc - 0xf7f0e744 is .rel.dyn in /lib/libnsl.so.1
	0xf7f0e744 - 0xf7f0ea8c is .rel.plt in /lib/libnsl.so.1
	0xf7f0ea8c - 0xf7f0eaba is .init in /lib/libnsl.so.1
	0xf7f0eac0 - 0xf7f0f160 is .plt in /lib/libnsl.so.1
	0xf7f0f160 - 0xf7f1db48 is .text in /lib/libnsl.so.1
	0xf7f1db48 - 0xf7f1db62 is .fini in /lib/libnsl.so.1
	0xf7f1db80 - 0xf7f1f9c0 is .rodata in /lib/libnsl.so.1
	0xf7f1f9c0 - 0xf7f1f9d3 is .interp in /lib/libnsl.so.1
	0xf7f1f9d4 - 0xf7f1ff48 is .eh_frame_hdr in /lib/libnsl.so.1
	0xf7f1ff48 - 0xf7f2208c is .eh_frame in /lib/libnsl.so.1
	0xf7f2208c - 0xf7f22b70 is .hash in /lib/libnsl.so.1
	0xf7f23ebc - 0xf7f23ec4 is .ctors in /lib/libnsl.so.1
	0xf7f23ec4 - 0xf7f23ecc is .dtors in /lib/libnsl.so.1
	0xf7f23ecc - 0xf7f23ed0 is .jcr in /lib/libnsl.so.1
	0xf7f23ed0 - 0xf7f23ed4 is .data.rel.ro in /lib/libnsl.so.1
	0xf7f23ed4 - 0xf7f23fbc is .dynamic in /lib/libnsl.so.1
	0xf7f23fbc - 0xf7f23ff4 is .got in /lib/libnsl.so.1
	0xf7f23ff4 - 0xf7f241a4 is .got.plt in /lib/libnsl.so.1
	0xf7f241c0 - 0xf7f267e8 is .bss in /lib/libnsl.so.1
	0x4357e154 - 0x4357e178 is .note.gnu.build-id in /lib/libpthread.so.0
        0x4357e178 - 0x4357e198 is .note.ABI-tag in /lib/libpthread.so.0
	0x4357e198 - 0x4357eec4 is .gnu.hash in /lib/libpthread.so.0
	0x4357eec4 - 0x43580424 is .dynsym in /lib/libpthread.so.0
	0x43580424 - 0x435817a1 is .dynstr in /lib/libpthread.so.0
	0x435817a2 - 0x43581a4e is .gnu.version in /lib/libpthread.so.0
	0x43581a50 - 0x43581c5c is .gnu.version_d in /lib/libpthread.so.0
	0x43581c5c - 0x43581d0c is .gnu.version_r in /lib/libpthread.so.0
	0x43581d0c - 0x43581f3c is .rel.dyn in /lib/libpthread.so.0
	0x43581f3c - 0x43582194 is .rel.plt in /lib/libpthread.so.0
	0x435821a0 - 0x435821b6 is .init in /lib/libpthread.so.0
	0x435821c0 - 0x43582680 is .plt in /lib/libpthread.so.0
	0x43582680 - 0x4358e6f8 is .text in /lib/libpthread.so.0
	0x4358e700 - 0x4358e760 is __libc_freeres_fn in /lib/libpthread.so.0
	0x4358e760 - 0x4358e779 is .fini in /lib/libpthread.so.0
	0x4358e780 - 0x4358f680 is .rodata in /lib/libpthread.so.0
	0x4358f680 - 0x4358f681 is .stapsdt.base in /lib/libpthread.so.0
	0x4358f681 - 0x4358f694 is .interp in /lib/libpthread.so.0
	0x4358f694 - 0x43590118 is .eh_frame_hdr in /lib/libpthread.so.0
	0x43590118 - 0x4359359c is .eh_frame in /lib/libpthread.so.0
	0x4359359c - 0x43593628 is .gcc_except_table in /lib/libpthread.so.0
	0x43593628 - 0x43594600 is .hash in /lib/libpthread.so.0
	0x43595d9c - 0x43595da4 is .ctors in /lib/libpthread.so.0
	0x43595da4 - 0x43595dac is .dtors in /lib/libpthread.so.0
	0x43595dac - 0x43595db0 is .jcr in /lib/libpthread.so.0
	0x43595dc0 - 0x43595eb8 is .data.rel.ro in /lib/libpthread.so.0
	0x43595eb8 - 0x43595fb0 is .dynamic in /lib/libpthread.so.0
	0x43595fb0 - 0x43595fd8 is .got in /lib/libpthread.so.0
	0x43595ff4 - 0x4359612c is .got.plt in /lib/libpthread.so.0
	0x4359612c - 0x4359614c is .data in /lib/libpthread.so.0
	0x43596160 - 0x435981fc is .bss in /lib/libpthread.so.0
	0x4355f154 - 0x4355f178 is .note.gnu.build-id in /lib/libdl.so.2
	0x4355f178 - 0x4355f198 is .note.ABI-tag in /lib/libdl.so.2
	0x4355f198 - 0x4355f250 is .gnu.hash in /lib/libdl.so.2
	0x4355f250 - 0x4355f4d0 is .dynsym in /lib/libdl.so.2
	0x4355f4d0 - 0x4355f6a8 is .dynstr in /lib/libdl.so.2
	0x4355f6a8 - 0x4355f6f8 is .gnu.version in /lib/libdl.so.2
	0x4355f6f8 - 0x4355f7c0 is .gnu.version_d in /lib/libdl.so.2
	0x4355f7c0 - 0x4355f830 is .gnu.version_r in /lib/libdl.so.2
	0x4355f830 - 0x4355f8a0 is .rel.dyn in /lib/libdl.so.2
	0x4355f8a0 - 0x4355f920 is .rel.plt in /lib/libdl.so.2
	0x4355f920 - 0x4355f94e is .init in /lib/libdl.so.2
	0x4355f950 - 0x4355fa60 is .plt in /lib/libdl.so.2
	0x4355fa60 - 0x43560a88 is .text in /lib/libdl.so.2
	0x43560a88 - 0x43560aa2 is .fini in /lib/libdl.so.2
	0x43560aa4 - 0x43560b47 is .rodata in /lib/libdl.so.2
	0x43560b47 - 0x43560b5a is .interp in /lib/libdl.so.2
	0x43560b5c - 0x43560c30 is .eh_frame_hdr in /lib/libdl.so.2
	0x43560c30 - 0x4356103c is .eh_frame in /lib/libdl.so.2
	0x4356103c - 0x435611e8 is .hash in /lib/libdl.so.2
	0x43562ea0 - 0x43562ea4 is .init_array in /lib/libdl.so.2
	0x43562ea4 - 0x43562ea8 is .fini_array in /lib/libdl.so.2
	0x43562ea8 - 0x43562eb0 is .ctors in /lib/libdl.so.2
	0x43562eb0 - 0x43562eb8 is .dtors in /lib/libdl.so.2
	0x43562eb8 - 0x43562ebc is .jcr in /lib/libdl.so.2
	0x43562ebc - 0x43562ec0 is .data.rel.ro in /lib/libdl.so.2
	0x43562ec0 - 0x43562fc8 is .dynamic in /lib/libdl.so.2
	0x43562fc8 - 0x43562ff4 is .got in /lib/libdl.so.2
	0x43562ff4 - 0x43563040 is .got.plt in /lib/libdl.so.2
	0x43563040 - 0x43563074 is .bss in /lib/libdl.so.2
	0x438cc154 - 0x438cc178 is .note.gnu.build-id in /lib/librt.so.1
	0x438cc178 - 0x438cc198 is .note.ABI-tag in /lib/librt.so.1
	0x438cc198 - 0x438cc3c0 is .gnu.hash in /lib/librt.so.1
	0x438cc3c0 - 0x438ccac0 is .dynsym in /lib/librt.so.1
	0x438ccac0 - 0x438cd03e is .dynstr in /lib/librt.so.1
	0x438cd03e - 0x438cd11e is .gnu.version in /lib/librt.so.1
	0x438cd120 - 0x438cd1e8 is .gnu.version_d in /lib/librt.so.1
	0x438cd1e8 - 0x438cd2c8 is .gnu.version_r in /lib/librt.so.1
	0x438cd2c8 - 0x438cd328 is .rel.dyn in /lib/librt.so.1
	0x438cd328 - 0x438cd510 is .rel.plt in /lib/librt.so.1
	0x438cd510 - 0x438cd53e is .init in /lib/librt.so.1
        0x438cd540 - 0x438cd920 is .plt in /lib/librt.so.1
	0x438cd920 - 0x438d1a98 is .text in /lib/librt.so.1
	0x438d1aa0 - 0x438d1b1c is __libc_freeres_fn in /lib/librt.so.1
	0x438d1b1c - 0x438d1b36 is .fini in /lib/librt.so.1
	0x438d1b38 - 0x438d1e54 is .rodata in /lib/librt.so.1
	0x438d1e54 - 0x438d1e55 is .stapsdt.base in /lib/librt.so.1
	0x438d1e55 - 0x438d1e68 is .interp in /lib/librt.so.1
	0x438d1e68 - 0x438d20d4 is .eh_frame_hdr in /lib/librt.so.1
	0x438d20d4 - 0x438d2db8 is .eh_frame in /lib/librt.so.1
	0x438d2db8 - 0x438d2dcd is .gcc_except_table in /lib/librt.so.1
	0x438d2dd0 - 0x438d32fc is .hash in /lib/librt.so.1
	0x438d4eb4 - 0x438d4ebc is .ctors in /lib/librt.so.1
	0x438d4ebc - 0x438d4ec4 is .dtors in /lib/librt.so.1
	0x438d4ec4 - 0x438d4ec8 is .jcr in /lib/librt.so.1
	0x438d4ec8 - 0x438d4ed0 is __libc_subfreeres in /lib/librt.so.1
	0x438d4ed0 - 0x438d4ed4 is .data.rel.ro in /lib/librt.so.1
	0x438d4ed4 - 0x438d4fd4 is .dynamic in /lib/librt.so.1
	0x438d4fd4 - 0x438d4ff4 is .got in /lib/librt.so.1
	0x438d4ff4 - 0x438d50f4 is .got.plt in /lib/librt.so.1
	0x438d5100 - 0x438d5148 is .data in /lib/librt.so.1
	0x438d5160 - 0x438d5234 is .bss in /lib/librt.so.1
	0xf7cce094 - 0xf7cd05bc is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7cd05bc - 0xf7cd59cc is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7cd59cc - 0xf7cd92fa is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7cd92fa - 0xf7cd9d7c is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7cd9d7c - 0xf7cd9d9c is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7cd9d9c - 0xf7d12704 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7d12704 - 0xf7d127c4 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7d127c4 - 0xf7d127d2 is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7d127d4 - 0xf7d12964 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7d12964 - 0xf7e53278 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7e53278 - 0xf7e53291 is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7e532a0 - 0xf7f093a0 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7f0a3a0 - 0xf7f0a3e4 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7f0a400 - 0xf7f0b820 is .data1 in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7f0b820 - 0xf7f0b8f8 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7f0b8f8 - 0xf7f0b9cc is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0xf7f0b9cc - 0xf7f0b9d4 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libimf.so
	0x4359b154 - 0x4359b178 is .note.gnu.build-id in /lib/libm.so.6
	0x4359b178 - 0x4359b198 is .note.ABI-tag in /lib/libm.so.6
	0x4359b198 - 0x4359c6a4 is .gnu.hash in /lib/libm.so.6
	0x4359c6a4 - 0x4359e144 is .dynsym in /lib/libm.so.6
	0x4359e144 - 0x4359eddb is .dynstr in /lib/libm.so.6
	0x4359eddc - 0x4359f130 is .gnu.version in /lib/libm.so.6
	0x4359f130 - 0x4359f1f8 is .gnu.version_d in /lib/libm.so.6
	0x4359f1f8 - 0x4359f258 is .gnu.version_r in /lib/libm.so.6
	0x4359f258 - 0x4359f2a0 is .rel.dyn in /lib/libm.so.6
	0x4359f2a0 - 0x4359f308 is .rel.plt in /lib/libm.so.6
	0x4359f308 - 0x4359f336 is .init in /lib/libm.so.6
	0x4359f340 - 0x4359f420 is .plt in /lib/libm.so.6
	0x4359f420 - 0x435ba3a8 is .text in /lib/libm.so.6
	0x435ba3a8 - 0x435ba3c2 is .fini in /lib/libm.so.6
	0x435ba3e0 - 0x435bdee8 is .rodata in /lib/libm.so.6
	0x435bdee8 - 0x435bdefb is .interp in /lib/libm.so.6
	0x435bdefc - 0x435bec60 is .eh_frame_hdr in /lib/libm.so.6
	0x435bec60 - 0x435c290c is .eh_frame in /lib/libm.so.6
	0x435c290c - 0x435c3c70 is .hash in /lib/libm.so.6
	0x435c4ecc - 0x435c4ed4 is .ctors in /lib/libm.so.6
	0x435c4ed4 - 0x435c4edc is .dtors in /lib/libm.so.6
	0x435c4edc - 0x435c4ee0 is .jcr in /lib/libm.so.6
	0x435c4ee0 - 0x435c4ee4 is .data.rel.ro in /lib/libm.so.6
	0x435c4ee4 - 0x435c4fd4 is .dynamic in /lib/libm.so.6
	0x435c4fd4 - 0x435c4ff4 is .got in /lib/libm.so.6
        0x435c4ff4 - 0x435c5034 is .got.plt in /lib/libm.so.6
	0x435c5034 - 0x435c5038 is .data in /lib/libm.so.6
	0x435c5040 - 0x435c5080 is .bss in /lib/libm.so.6
	0xf7c140f4 - 0xf7c14118 is .note.gnu.build-id in /usr/lib/libstdc++.so.5
	0xf7c14118 - 0xf7c18348 is .hash in /usr/lib/libstdc++.so.5
	0xf7c18348 - 0xf7c24bf8 is .dynsym in /usr/lib/libstdc++.so.5
	0xf7c24bf8 - 0xf7c46346 is .dynstr in /usr/lib/libstdc++.so.5
	0xf7c46346 - 0xf7c47c5c is .gnu.version in /usr/lib/libstdc++.so.5
	0xf7c47c5c - 0xf7c47d88 is .gnu.version_d in /usr/lib/libstdc++.so.5
	0xf7c47d88 - 0xf7c47e28 is .gnu.version_r in /usr/lib/libstdc++.so.5
	0xf7c47e28 - 0xf7c4c4d0 is .rel.dyn in /usr/lib/libstdc++.so.5
	0xf7c4c4d0 - 0xf7c4d818 is .rel.plt in /usr/lib/libstdc++.so.5
	0xf7c4d818 - 0xf7c4d846 is .init in /usr/lib/libstdc++.so.5
	0xf7c4d848 - 0xf7c4fee8 is .plt in /usr/lib/libstdc++.so.5
	0xf7c4fef0 - 0xf7cab5a0 is .text in /usr/lib/libstdc++.so.5
	0xf7cab5a0 - 0xf7cab5ba is .fini in /usr/lib/libstdc++.so.5
	0xf7cab5c0 - 0xf7cae66c is .rodata in /usr/lib/libstdc++.so.5
	0xf7cae66c - 0xf7cb1510 is .eh_frame_hdr in /usr/lib/libstdc++.so.5
	0xf7cb1510 - 0xf7cbe74c is .eh_frame in /usr/lib/libstdc++.so.5
	0xf7cbe74c - 0xf7cc25c4 is .gcc_except_table in /usr/lib/libstdc++.so.5
	0xf7cc35c4 - 0xf7cc35d8 is .init_array in /usr/lib/libstdc++.so.5
	0xf7cc35d8 - 0xf7cc35e0 is .ctors in /usr/lib/libstdc++.so.5
	0xf7cc35e0 - 0xf7cc35e8 is .dtors in /usr/lib/libstdc++.so.5
	0xf7cc35e8 - 0xf7cc35ec is .jcr in /usr/lib/libstdc++.so.5
	0xf7cc3600 - 0xf7cc3c04 is .data.rel.ro in /usr/lib/libstdc++.so.5
	0xf7cc3c04 - 0xf7cc3cfc is .dynamic in /usr/lib/libstdc++.so.5
	0xf7cc3cfc - 0xf7cc41b4 is .got in /usr/lib/libstdc++.so.5
	0xf7cc41b4 - 0xf7cc4b64 is .got.plt in /usr/lib/libstdc++.so.5
	0xf7cc4b80 - 0xf7cc7adc is .data in /usr/lib/libstdc++.so.5
	0xf7cc7ae0 - 0xf7cccc34 is .bss in /usr/lib/libstdc++.so.5
	0x435c80f4 - 0x435c8118 is .note.gnu.build-id in /lib/libgcc_s.so.1
	0x435c8118 - 0x435c85c8 is .gnu.hash in /lib/libgcc_s.so.1
	0x435c85c8 - 0x435c8f58 is .dynsym in /lib/libgcc_s.so.1
	0x435c8f58 - 0x435c9766 is .dynstr in /lib/libgcc_s.so.1
	0x435c9766 - 0x435c9898 is .gnu.version in /lib/libgcc_s.so.1
	0x435c9898 - 0x435c9a38 is .gnu.version_d in /lib/libgcc_s.so.1
	0x435c9a38 - 0x435c9a78 is .gnu.version_r in /lib/libgcc_s.so.1
	0x435c9a78 - 0x435c9ab8 is .rel.dyn in /lib/libgcc_s.so.1
	0x435c9ab8 - 0x435c9c20 is .rel.plt in /lib/libgcc_s.so.1
	0x435c9c20 - 0x435c9c4e is .init in /lib/libgcc_s.so.1
	0x435c9c50 - 0x435c9f30 is .plt in /lib/libgcc_s.so.1
	0x435c9f30 - 0x435e0c48 is .text in /lib/libgcc_s.so.1
	0x435e0c48 - 0x435e0c62 is .fini in /lib/libgcc_s.so.1
	0x435e0c80 - 0x435e14a0 is .rodata in /lib/libgcc_s.so.1
	0x435e14a0 - 0x435e14a1 is .stapsdt.base in /lib/libgcc_s.so.1
	0x435e14a4 - 0x435e19b0 is .eh_frame_hdr in /lib/libgcc_s.so.1
	0x435e19b0 - 0x435e3440 is .eh_frame in /lib/libgcc_s.so.1
	0x435e4440 - 0x435e4448 is .ctors in /lib/libgcc_s.so.1
	0x435e4448 - 0x435e4450 is .dtors in /lib/libgcc_s.so.1
	0x435e4450 - 0x435e4454 is .jcr in /lib/libgcc_s.so.1
	0x435e4454 - 0x435e4458 is .data.rel.ro in /lib/libgcc_s.so.1
	0x435e4458 - 0x435e4530 is .dynamic in /lib/libgcc_s.so.1
	0x435e4530 - 0x435e4544 is .got in /lib/libgcc_s.so.1
	0x435e4544 - 0x435e4604 is .got.plt in /lib/libgcc_s.so.1
	0x435e4608 - 0x435e4618 is .data in /lib/libgcc_s.so.1
	0x435e4620 - 0x435e4770 is .bss in /lib/libgcc_s.so.1
	0xf7c12094 - 0xf7c12150 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c12150 - 0xf7c12310 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c12310 - 0xf7c123c9 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c123ca - 0xf7c12402 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c12404 - 0xf7c1243c is .gnu.version_d in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c1243c - 0xf7c1244c is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c1244c - 0xf7c12464 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
        0xf7c12464 - 0xf7c124a4 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c124a4 - 0xf7c12580 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c13580 - 0xf7c13598 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c13598 - 0xf7c13648 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c13648 - 0xf7c13668 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7c13668 - 0xf7c13668 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libcxaguard.so.5
	0xf7bd1094 - 0xf7bd1a0c is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd1a0c - 0xf7bd2f5c is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd2f5c - 0xf7bd423c is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd423c - 0xf7bd44e6 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd44e8 - 0xf7bd4520 is .gnu.version_d in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd4520 - 0xf7bd4550 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd4550 - 0xf7bd65f0 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd65f0 - 0xf7bd69d0 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd69d0 - 0xf7bd71a0 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7bd71a0 - 0xf7c09e70 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7c09e80 - 0xf7c0f4a0 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7c104a0 - 0xf7c11820 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7c11820 - 0xf7c119c0 is .data1 in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7c119c0 - 0xf7c11a88 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7c11a88 - 0xf7c11e7c is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0xf7c11e80 - 0xf7c11fbc is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libirc.so
	0x433af174 - 0x433af198 is .note.gnu.build-id in /lib/libc.so.6
	0x433af198 - 0x433af1b8 is .note.ABI-tag in /lib/libc.so.6
	0x433af1b8 - 0x433b2e38 is .gnu.hash in /lib/libc.so.6
	0x433b2e38 - 0x433bc158 is .dynsym in /lib/libc.so.6
	0x433bc158 - 0x433c1cd0 is .dynstr in /lib/libc.so.6
	0x433c1cd0 - 0x433c2f34 is .gnu.version in /lib/libc.so.6
	0x433c2f34 - 0x433c3354 is .gnu.version_d in /lib/libc.so.6
	0x433c3354 - 0x433c3394 is .gnu.version_r in /lib/libc.so.6
	0x433c3394 - 0x433c5db4 is .rel.dyn in /lib/libc.so.6
	0x433c5db4 - 0x433c5df4 is .rel.plt in /lib/libc.so.6
	0x433c5e00 - 0x433c5e90 is .plt in /lib/libc.so.6
	0x433c5e90 - 0x434fe294 is .text in /lib/libc.so.6
	0x434fe2a0 - 0x435002cc is __libc_freeres_fn in /lib/libc.so.6
	0x435002d0 - 0x435005e5 is __libc_thread_freeres_fn in /lib/libc.so.6
	0x43500600 - 0x4351eeb8 is .rodata in /lib/libc.so.6
	0x4351eeb8 - 0x4351eeb9 is .stapsdt.base in /lib/libc.so.6
	0x4351eeb9 - 0x4351eecc is .interp in /lib/libc.so.6
	0x4351eecc - 0x43526350 is .eh_frame_hdr in /lib/libc.so.6
	0x43526350 - 0x43551f88 is .eh_frame in /lib/libc.so.6
	0x43551f88 - 0x43552471 is .gcc_except_table in /lib/libc.so.6
	0x43552474 - 0x43555940 is .hash in /lib/libc.so.6
	0x435571b0 - 0x435571b8 is .tdata in /lib/libc.so.6
	0x435571b8 - 0x435571f0 is .tbss in /lib/libc.so.6
	0x435571b8 - 0x435571c0 is .init_array in /lib/libc.so.6
	0x435571c0 - 0x43557234 is __libc_subfreeres in /lib/libc.so.6
	0x43557234 - 0x43557238 is __libc_atexit in /lib/libc.so.6
	0x43557238 - 0x43557248 is __libc_thread_subfreeres in /lib/libc.so.6
	0x43557260 - 0x43558d7c is .data.rel.ro in /lib/libc.so.6
	0x43558d7c - 0x43558e74 is .dynamic in /lib/libc.so.6
	0x43558e74 - 0x43558fe4 is .got in /lib/libc.so.6
	0x43558ff4 - 0x43559020 is .got.plt in /lib/libc.so.6
	0x43559020 - 0x43559e7c is .data in /lib/libc.so.6
	0x43559e80 - 0x4355ca5c is .bss in /lib/libc.so.6
	0xf7bcb0d4 - 0xf7bcb528 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcb528 - 0xf7bcbe28 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
        0xf7bcbe28 - 0xf7bcc9a2 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcc9a2 - 0xf7bccac2 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bccac4 - 0xf7bccb64 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bccb64 - 0xf7bcd0dc is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcd0dc - 0xf7bcd274 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcd274 - 0xf7bcd28b is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcd28c - 0xf7bcd5cc is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcd5d0 - 0xf7bceb14 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bceb14 - 0xf7bceb2f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bceb40 - 0xf7bcec97 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcec98 - 0xf7bceca0 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcf000 - 0xf7bcf1cc is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcf1cc - 0xf7bcf9e8 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcf9e8 - 0xf7bcfd0a is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcfd0c - 0xf7bcfe24 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcfe24 - 0xf7bcfe30 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcfe30 - 0xf7bcfe38 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcfe38 - 0xf7bcfe3c is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcfe3c - 0xf7bcff34 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bcff34 - 0xf7bcff40 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libsockbsd.so
	0xf7bac0d4 - 0xf7bacc80 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bacc80 - 0xf7baeaa0 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7baeaa0 - 0xf7bb2244 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb2244 - 0xf7bb2608 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb2608 - 0xf7bb2698 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb2698 - 0xf7bb4328 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb4328 - 0xf7bb4948 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb4948 - 0xf7bb495f is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb4960 - 0xf7bb55b0 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bb55b0 - 0xf7bc1e14 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bc1e14 - 0xf7bc1e2f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bc1e40 - 0xf7bc2109 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bc210c - 0xf7bc2114 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bc3120 - 0xf7bc36f8 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bc36f8 - 0xf7bc8704 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bc8704 - 0xf7bcaa8a is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bcaa8c - 0xf7bcabac is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bcabac - 0xf7bcabf0 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bcabf0 - 0xf7bcabf8 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bcabf8 - 0xf7bcabfc is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bcabfc - 0xf7bcaf9c is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7bcaf9c - 0xf7bcafe8 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvserial.so
	0xf7ba20d4 - 0xf7ba2770 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba2770 - 0xf7ba3570 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba3570 - 0xf7ba46d1 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
        0xf7ba46d2 - 0xf7ba4892 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba4894 - 0xf7ba4914 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba4914 - 0xf7ba526c is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba526c - 0xf7ba5554 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba5554 - 0xf7ba556b is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba556c - 0xf7ba5b4c is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba5b50 - 0xf7ba8664 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba8664 - 0xf7ba867f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba8680 - 0xf7ba8684 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba8684 - 0xf7ba868c is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba9000 - 0xf7ba9118 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7ba9118 - 0xf7baacb0 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7baacb0 - 0xf7bab7fe is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7bab800 - 0xf7bab920 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7bab920 - 0xf7bab948 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7bab948 - 0xf7bab950 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7bab950 - 0xf7bab954 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7bab954 - 0xf7babb08 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7babb08 - 0xf7babb2c is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libvutility.so
	0xf7a700d4 - 0xf7a74734 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7a74734 - 0xf7a7e044 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7a7e044 - 0xf7a939cc is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7a939cc - 0xf7a94cee is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7a94cf0 - 0xf7a94dc0 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7a94dc0 - 0xf7aa2da8 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7aa2da8 - 0xf7aa54b8 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7aa54b8 - 0xf7aa54cf is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7aa54d0 - 0xf7aaa300 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7aaa300 - 0xf7b668f4 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b668f4 - 0xf7b6690f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b66920 - 0xf7b70a74 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b70a74 - 0xf7b70a7c is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b71a80 - 0xf7b72d14 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b72d20 - 0xf7b778a0 is .data1 in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b778a0 - 0xf7b93dcc is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b93dcc - 0xf7b9fa50 is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b9fa50 - 0xf7b9fb60 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b9fb60 - 0xf7b9fb68 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b9fb68 - 0xf7b9fb70 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b9fb70 - 0xf7b9fb74 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7b9fb74 - 0xf7ba1074 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf7ba1080 - 0xf7ba1aa4 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicuuc.so.32
	0xf78b50d4 - 0xf78bae80 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
        0xf78bae80 - 0xf78ca4c0 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf78ca4c0 - 0xf78f7fc1 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf78f7fc2 - 0xf78f9e8a is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf78f9e8c - 0xf78f9f1c is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf78f9f1c - 0xf790df7c is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf790df7c - 0xf7911ffc is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7911ffc - 0xf7912013 is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7912014 - 0xf791a124 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf791a130 - 0xf7a0af24 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a0af24 - 0xf7a0af3f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a0af40 - 0xf7a0eec0 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a0eec0 - 0xf7a0eec8 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a0f000 - 0xf7a12094 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a120a0 - 0xf7a13acc is .data1 in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a13acc - 0xf7a51854 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a51854 - 0xf7a6c9f0 is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a6c9f0 - 0xf7a6cb08 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a6cb08 - 0xf7a6cb10 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a6cb10 - 0xf7a6cb18 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a6cb18 - 0xf7a6cb1c is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a6cb1c - 0xf7a6ee38 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf7a6ee40 - 0xf7a6f2c0 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicui18n.so.32
	0xf78a80b4 - 0xf78a8730 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78a8730 - 0xf78a94b0 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78a94b0 - 0xf78aa18b is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa18c - 0xf78aa33c is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa33c - 0xf78aa374 is .gnu.version_d in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa374 - 0xf78aa3d4 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa3d4 - 0xf78aa41c is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa41c - 0xf78aa544 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa544 - 0xf78aa55b is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa55c - 0xf78aa7bc is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78aa7c0 - 0xf78af990 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78af990 - 0xf78af9ab is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78af9c0 - 0xf78b1161 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b1164 - 0xf78b15e0 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b2000 - 0xf78b200c is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b200c - 0xf78b3acc is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b3acc - 0xf78b3bb4 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b3bb4 - 0xf78b3bbc is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b3bbc - 0xf78b3bc4 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b3bc4 - 0xf78b3bc8 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b3bc8 - 0xf78b3c80 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
	0xf78b3c80 - 0xf78b3c88 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libgsk7iccs.so
        0xf74430d4 - 0xf7454410 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7454410 - 0xf7478fd0 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7478fd0 - 0xf74fbfcf is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf74fbfd0 - 0xf7500948 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7500948 - 0xf7500a28 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7500a28 - 0xf7534990 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7534990 - 0xf753a7b0 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf753a7b0 - 0xf753a7c7 is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf753a7c8 - 0xf7546418 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7546420 - 0xf772c164 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf772c164 - 0xf772c17f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf772c180 - 0xf778665f is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7786660 - 0xf7786668 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf7787680 - 0xf77b6cf8 is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf77b6d00 - 0xf77b80c0 is .data1 in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf77b80c0 - 0xf784b448 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf784b448 - 0xf78a3198 is .gcc_except_table in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf78a3198 - 0xf78a32b0 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf78a32b0 - 0xf78a330c is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf78a330c - 0xf78a3314 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf78a3314 - 0xf78a3318 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf78a3318 - 0xf78a73c0 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf78a73c0 - 0xf78a7abc is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libxerces-c.so.26
	0xf6aef0b4 - 0xf6aef184 is .hash in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef184 - 0xf6aef394 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef394 - 0xf6aef474 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef474 - 0xf6aef4b6 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef4b8 - 0xf6aef4d8 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef4d8 - 0xf6aef500 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef500 - 0xf6aef508 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef508 - 0xf6aef51f is .init in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef520 - 0xf6aef540 is .plt in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef540 - 0xf6aef654 is .text in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef654 - 0xf6aef66f is .fini in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf6aef670 - 0xf7441e80 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7441e80 - 0xf7441e84 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442e84 - 0xf7442e8c is .data in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442e8c - 0xf7442f84 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442f84 - 0xf7442f8c is .ctors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442f8c - 0xf7442f94 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442f94 - 0xf7442f98 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442f98 - 0xf7442fb4 is .got in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
	0xf7442fb4 - 0xf7442fb8 is .bss in /opt/IBM/SPSS/Statistics/19/bin/../lib/libicudata.so.32
        0xf67930d4 - 0xf6793724 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6793724 - 0xf67943f4 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67943f4 - 0xf6794ecd is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6794ece - 0xf6795068 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6795068 - 0xf6795118 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6795118 - 0xf6795a30 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6795a30 - 0xf6795c50 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6795c50 - 0xf6795c67 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf6795c68 - 0xf67960b8 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67960b8 - 0xf67ac054 is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67ac054 - 0xf67ac06f is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67ac080 - 0xf67ae8da is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67ae8dc - 0xf67ae908 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67ae908 - 0xf67ae9c4 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67af000 - 0xf67b013c is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67b013c - 0xf67b022c is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67b022c - 0xf67b0238 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67b0238 - 0xf67b0240 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67b0240 - 0xf67b0244 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67b0244 - 0xf67b03b0 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf67b03c0 - 0xf67b39c0 is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
	0xf7f790b4 - 0xf7f79224 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f79224 - 0xf7f79574 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f79574 - 0xf7f79709 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7970a - 0xf7f79774 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f79774 - 0xf7f797c4 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f797c4 - 0xf7f797f4 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f797f4 - 0xf7f7989c is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7989c - 0xf7f798b3 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f798b4 - 0xf7f79a14 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f79a14 - 0xf7f7a830 is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7a830 - 0xf7f7a84b is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7a860 - 0xf7f7a98f is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7a990 - 0xf7f7a994 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7b994 - 0xf7f7b9c0 is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7b9c0 - 0xf7f7baa8 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7baa8 - 0xf7f7bab0 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7bab0 - 0xf7f7bab8 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7bab8 - 0xf7f7babc is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7babc - 0xf7f7bb2c is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf7f7bb40 - 0xf7f7bc60 is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libjsig.so
	0xf67270d4 - 0xf67273e4 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
        0xf67273e4 - 0xf67279f4 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf67279f4 - 0xf6727fd9 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6727fda - 0xf672809c is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf672809c - 0xf67280dc is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf67280dc - 0xf672a92c is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf672a92c - 0xf672ab3c is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf672ab3c - 0xf672ab53 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf672ab54 - 0xf672af84 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf672af84 - 0xf678a1a0 is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf678a1a0 - 0xf678a1bb is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf678a1c0 - 0xf678ed04 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf678ed04 - 0xf678ed50 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf678ed50 - 0xf678eeac is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf678f000 - 0xf6791c1c is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6791c1c - 0xf6791d24 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6791d24 - 0xf6791d2c is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6791d2c - 0xf6791d34 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6791d34 - 0xf6791d38 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6791d38 - 0xf67920e4 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf6792100 - 0xf6792b8c is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9vm24.so
	0xf7f6d0d4 - 0xf7f6d5a4 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6d5a4 - 0xf7f6e094 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6e094 - 0xf7f6ed41 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6ed42 - 0xf7f6eea0 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6eea0 - 0xf7f6ef50 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6ef50 - 0xf7f6f088 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6f088 - 0xf7f6f318 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6f318 - 0xf7f6f32f is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6f330 - 0xf7f6f860 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f6f860 - 0xf7f76fb0 is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f76fb0 - 0xf7f76fcb is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f76fe0 - 0xf7f772bd is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f772c0 - 0xf7f772fc is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f772fc - 0xf7f7740c is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f78420 - 0xf7f786bc is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f786bc - 0xf7f787b4 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f787b4 - 0xf7f787bc is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f787bc - 0xf7f787c4 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f787c4 - 0xf7f787c8 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f787c8 - 0xf7f78940 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f78940 - 0xf7f78bfc is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9thr24.so
	0xf7f690d4 - 0xf7f691a0 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
        0xf7f691a0 - 0xf7f693a0 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f693a0 - 0xf7f694b8 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f694b8 - 0xf7f694f8 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f694f8 - 0xf7f69528 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f69528 - 0xf7f69638 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f69638 - 0xf7f69668 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f69668 - 0xf7f6967f is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f69680 - 0xf7f696f0 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f696f0 - 0xf7f6bb54 is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6bb54 - 0xf7f6bb6f is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6bb80 - 0xf7f6bcd5 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6bcd8 - 0xf7f6bcf4 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6bcf4 - 0xf7f6bd5c is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c000 - 0xf7f6c29c is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c29c - 0xf7f6c38c is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c38c - 0xf7f6c394 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c394 - 0xf7f6c39c is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c39c - 0xf7f6c3a0 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c3a0 - 0xf7f6c3d8 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f6c3d8 - 0xf7f6c3dc is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9hookable24.so
	0xf7f3d0d4 - 0xf7f3d730 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f3d730 - 0xf7f3e430 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f3e430 - 0xf7f3ec85 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f3ec86 - 0xf7f3ee26 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f3ee28 - 0xf7f3eec8 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f3eec8 - 0xf7f3fcc0 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f3fcc0 - 0xf7f40240 is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f40240 - 0xf7f40257 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f40258 - 0xf7f40d68 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f40d68 - 0xf7f60ccc is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f60ccc - 0xf7f60ce7 is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f60d00 - 0xf7f62e15 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f62e18 - 0xf7f62e54 is .eh_frame_hdr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f62e54 - 0xf7f62f5c is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f63f60 - 0xf7f6665c is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f6665c - 0xf7f66754 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f66754 - 0xf7f6675c is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f6675c - 0xf7f66764 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f66764 - 0xf7f66768 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f66768 - 0xf7f66a78 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
	0xf7f66a80 - 0xf7f68fac is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
        0xf7f3b0b4 - 0xf7f3b16c is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b16c - 0xf7f3b31c is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b31c - 0xf7f3b3d6 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b3d6 - 0xf7f3b40c is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b40c - 0xf7f3b42c is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b42c - 0xf7f3b454 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b454 - 0xf7f3b45c is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b45c - 0xf7f3b473 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b474 - 0xf7f3b494 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b494 - 0xf7f3b5b0 is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b5b0 - 0xf7f3b5cb is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b5e0 - 0xf7f3b6b9 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3b6bc - 0xf7f3b6c0 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c6c0 - 0xf7f3c6c8 is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c6c8 - 0xf7f3c7c0 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c7c0 - 0xf7f3c7c8 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c7c8 - 0xf7f3c7d0 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c7d0 - 0xf7f3c7d4 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c7d4 - 0xf7f3c7f0 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f3c7f0 - 0xf7f3c7f4 is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libvmi.so
	0xf7f360b4 - 0xf7f3617c is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3617c - 0xf7f3636c is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3636c - 0xf7f36496 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f36496 - 0xf7f364d4 is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f364d4 - 0xf7f36504 is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f36504 - 0xf7f36c4c is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f36c4c - 0xf7f36c7c is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f36c7c - 0xf7f36c93 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f36c94 - 0xf7f36d04 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f36d04 - 0xf7f39e6c is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f39e6c - 0xf7f39e87 is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f39ea0 - 0xf7f39fec is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f39fec - 0xf7f39ff0 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a000 - 0xf7f3a008 is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a008 - 0xf7f3a100 is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a100 - 0xf7f3a108 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a108 - 0xf7f3a110 is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a110 - 0xf7f3a114 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a114 - 0xf7f3a4d4 is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f3a4d4 - 0xf7f3a4dc is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhyprtshim24.so
	0xf7f330b4 - 0xf7f33234 is .hash in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f33234 - 0xf7f335c4 is .dynsym in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
        0xf7f335c4 - 0xf7f33889 is .dynstr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f3388a - 0xf7f338fc is .gnu.version in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f338fc - 0xf7f3392c is .gnu.version_r in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f3392c - 0xf7f33a04 is .rel.dyn in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f33a04 - 0xf7f33aec is .rel.plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f33aec - 0xf7f33b03 is .init in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f33b04 - 0xf7f33ce4 is .plt in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f33ce4 - 0xf7f344ec is .text in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f344ec - 0xf7f34507 is .fini in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f34520 - 0xf7f345f9 is .rodata in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f345fc - 0xf7f34600 is .eh_frame in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f35600 - 0xf7f3568c is .data in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f3568c - 0xf7f3577c is .dynamic in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f3577c - 0xf7f35784 is .ctors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f35784 - 0xf7f3578c is .dtors in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f3578c - 0xf7f35790 is .jcr in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f35790 - 0xf7f3581c is .got in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf7f3581c - 0xf7f35820 is .bss in /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libhythr.so
	0xf6685114 - 0xf6685138 is .note.gnu.build-id in /usr/lib/libnuma.so.1
	0xf6685138 - 0xf6685454 is .gnu.hash in /usr/lib/libnuma.so.1
	0xf6685454 - 0xf6685d34 is .dynsym in /usr/lib/libnuma.so.1
	0xf6685d34 - 0xf6686538 is .dynstr in /usr/lib/libnuma.so.1
	0xf6686538 - 0xf6686654 is .gnu.version in /usr/lib/libnuma.so.1
	0xf6686654 - 0xf66866b0 is .gnu.version_d in /usr/lib/libnuma.so.1
	0xf66866b0 - 0xf6686770 is .gnu.version_r in /usr/lib/libnuma.so.1
	0xf6686770 - 0xf66867f0 is .rel.dyn in /usr/lib/libnuma.so.1
	0xf66867f0 - 0xf6686a28 is .rel.plt in /usr/lib/libnuma.so.1
	0xf6686a28 - 0xf6686a56 is .init in /usr/lib/libnuma.so.1
	0xf6686a58 - 0xf6686ed8 is .plt in /usr/lib/libnuma.so.1
	0xf6686ee0 - 0xf668af2c is .text in /usr/lib/libnuma.so.1
	0xf668af2c - 0xf668af46 is .fini in /usr/lib/libnuma.so.1
	0xf668af48 - 0xf668b328 is .rodata in /usr/lib/libnuma.so.1
	0xf668b328 - 0xf668b65c is .eh_frame_hdr in /usr/lib/libnuma.so.1
	0xf668b65c - 0xf668c684 is .eh_frame in /usr/lib/libnuma.so.1
	0xf668c684 - 0xf668c6a2 is .gcc_except_table in /usr/lib/libnuma.so.1
	0xf668d6a4 - 0xf668d6a8 is .tdata in /usr/lib/libnuma.so.1
	0xf668d6a8 - 0xf668d6ac is .tbss in /usr/lib/libnuma.so.1
	0xf668d6a8 - 0xf668d6b0 is .ctors in /usr/lib/libnuma.so.1
	0xf668d6b0 - 0xf668d6b8 is .dtors in /usr/lib/libnuma.so.1
	0xf668d6b8 - 0xf668d6bc is .jcr in /usr/lib/libnuma.so.1
	0xf668d6bc - 0xf668d6c0 is .data.rel.ro in /usr/lib/libnuma.so.1
	0xf668d6c0 - 0xf668d7a8 is .dynamic in /usr/lib/libnuma.so.1
	0xf668d7a8 - 0xf668d7e8 is .got in /usr/lib/libnuma.so.1
	0xf668d7e8 - 0xf668d910 is .got.plt in /usr/lib/libnuma.so.1
	0xf668d910 - 0xf668d928 is .data in /usr/lib/libnuma.so.1
	0xf668d940 - 0xf668dbcc is .bss in /usr/lib/libnuma.so.1
Comment 10 Knut J BJuland 2012-05-04 04:40:31 EDT
(gdb) backtrace
#0  0x434ec0ec in __strcasestr_sse42_nonascii () from /lib/libc.so.6
#1  0xf6687b28 in numa_node_size64 () from /usr/lib/libnuma.so.1
#2  0xf6687eb3 in ?? () from /usr/lib/libnuma.so.1
#3  0x43399e40 in call_init.part.0 () from /lib/ld-linux.so.2
#4  0x43399f70 in _dl_init_internal () from /lib/ld-linux.so.2
#5  0x4339e521 in dl_open_worker () from /lib/ld-linux.so.2
#6  0x43399d0f in _dl_catch_error () from /lib/ld-linux.so.2
#7  0x4339dd06 in _dl_open () from /lib/ld-linux.so.2
#8  0x4355fc09 in dlopen_doit () from /lib/libdl.so.2
#9  0x43399d0f in _dl_catch_error () from /lib/ld-linux.so.2
#10 0x435603ba in _dlerror_run () from /lib/libdl.so.2
#11 0x4355fcb7 in dlopen@@GLIBC_2.1 () from /lib/libdl.so.2
#12 0xf7f529cb in j9sl_open_shared_library () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
#13 0xf7f5bb87 in j9vmem_startup () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
#14 0xf7f4a086 in j9port_startup_library () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
#15 0xf7f49d04 in j9port_init_library () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
#16 0xf6797253 in JNI_CreateJavaVM () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
#17 0x08052da7 in JCVirtualMachine::createJVM (this=0xffffc0b0, vmArgs=0xffffc058, env=0xffffc068) at /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/jcvirtualmachine.cpp:247
#18 0x08052024 in JCVirtualMachine::run (this=0xffffc0b0) at /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/jcvirtualmachine.cpp:45
#19 0x08053875 in main (argc=1, argv=0xffffc1a4) at /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/spss.cpp:14

in /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/jcvirtualmachine.cpp
(gdb) (gdb)
Comment 11 Knut J BJuland 2012-05-04 04:41:23 EDT
(gdb) (gdb) x/40i $pc
=> 0x434ec0ec <__strcasestr_sse42_nonascii+396>:	movdqa 0x10(%esp),%xmm1
   0x434ec0f2 <__strcasestr_sse42_nonascii+402>:	cmpb   $0x0,0x1(%edx)
   0x434ec0f6 <__strcasestr_sse42_nonascii+406>:	je     0x434ec270 <__strcasestr_sse42_nonascii+784>
   0x434ec0fc <__strcasestr_sse42_nonascii+412>:	mov    %edx,%esi
   0x434ec0fe <__strcasestr_sse42_nonascii+414>:	mov    %gs:0x0(%ebp),%edx
   0x434ec102 <__strcasestr_sse42_nonascii+418>:	movzbl (%esi),%ecx
   0x434ec105 <__strcasestr_sse42_nonascii+421>:	test   %cl,%cl
   0x434ec107 <__strcasestr_sse42_nonascii+423>:	je     0x434ed830 <__strcasestr_sse42_nonascii+6352>
   0x434ec10d <__strcasestr_sse42_nonascii+429>:	movzbl %cl,%ecx
   0x434ec110 <__strcasestr_sse42_nonascii+432>:	mov    (%edx,%ecx,4),%ecx
   0x434ec113 <__strcasestr_sse42_nonascii+435>:	mov    %cl,0x20(%esp)
   0x434ec117 <__strcasestr_sse42_nonascii+439>:	movzbl 0x1(%esi),%ecx
   0x434ec11b <__strcasestr_sse42_nonascii+443>:	test   %cl,%cl
   0x434ec11d <__strcasestr_sse42_nonascii+445>:	je     0x434ed48a <__strcasestr_sse42_nonascii+5418>
   0x434ec123 <__strcasestr_sse42_nonascii+451>:	movzbl %cl,%ecx
   0x434ec126 <__strcasestr_sse42_nonascii+454>:	mov    (%edx,%ecx,4),%ecx
   0x434ec129 <__strcasestr_sse42_nonascii+457>:	mov    %cl,0x21(%esp)
   0x434ec12d <__strcasestr_sse42_nonascii+461>:	movzbl 0x2(%esi),%ecx
   0x434ec131 <__strcasestr_sse42_nonascii+465>:	test   %cl,%cl
   0x434ec133 <__strcasestr_sse42_nonascii+467>:	je     0x434ed499 <__strcasestr_sse42_nonascii+5433>
   0x434ec139 <__strcasestr_sse42_nonascii+473>:	movzbl %cl,%ecx
   0x434ec13c <__strcasestr_sse42_nonascii+476>:	mov    (%edx,%ecx,4),%ecx
   0x434ec13f <__strcasestr_sse42_nonascii+479>:	mov    %cl,0x22(%esp)
   0x434ec143 <__strcasestr_sse42_nonascii+483>:	movzbl 0x3(%esi),%ecx
   0x434ec147 <__strcasestr_sse42_nonascii+487>:	test   %cl,%cl
   0x434ec149 <__strcasestr_sse42_nonascii+489>:	je     0x434ed7ce <__strcasestr_sse42_nonascii+6254>
   0x434ec14f <__strcasestr_sse42_nonascii+495>:	movzbl %cl,%ecx
   0x434ec152 <__strcasestr_sse42_nonascii+498>:	mov    (%edx,%ecx,4),%ecx
   0x434ec155 <__strcasestr_sse42_nonascii+501>:	mov    %cl,0x23(%esp)
   0x434ec159 <__strcasestr_sse42_nonascii+505>:	movzbl 0x4(%esi),%ecx
   0x434ec15d <__strcasestr_sse42_nonascii+509>:	test   %cl,%cl
   0x434ec15f <__strcasestr_sse42_nonascii+511>:	je     0x434ed7c4 <__strcasestr_sse42_nonascii+6244>
   0x434ec165 <__strcasestr_sse42_nonascii+517>:	movzbl %cl,%ecx
   0x434ec168 <__strcasestr_sse42_nonascii+520>:	mov    (%edx,%ecx,4),%ecx
   0x434ec16b <__strcasestr_sse42_nonascii+523>:	mov    %cl,0x24(%esp)
   0x434ec16f <__strcasestr_sse42_nonascii+527>:	movzbl 0x5(%esi),%ecx
   0x434ec173 <__strcasestr_sse42_nonascii+531>:	test   %cl,%cl
   0x434ec175 <__strcasestr_sse42_nonascii+533>:	je     0x434ed7ba <__strcasestr_sse42_nonascii+6234>
   0x434ec17b <__strcasestr_sse42_nonascii+539>:	movzbl %cl,%ecx
   0x434ec17e <__strcasestr_sse42_nonascii+542>:	mov    (%edx,%ecx,4),%ecx
(gdb)
Comment 12 Knut J BJuland 2012-05-04 04:42:11 EDT
(gdb) i r
eax            0x8078e98	134712984
ecx            0x3a	58
edx            0xf668af7f	-160911489
ebx            0x43558ff4	1129680884
esp            0xffff9e34	0xffff9e34
ebp            0xffffffd0	0xffffffd0
esi            0xffffffff	-1
edi            0x8078e98	134712984
eip            0x434ec0ec	0x434ec0ec <__strcasestr_sse42_nonascii+396>
eflags         0x10206	[ PF IF RF ]
cs             0x23	35
ss             0x2b	43
ds             0x2b	43
es             0x2b	43
fs             0x0	0
gs             0x63	99
(gdb)
Comment 13 Knut J BJuland 2012-05-04 04:44:17 EDT
rpm -qa | grep glibc
glibc-2.14.90-24.fc16.6.i686
glibc-devel-2.14.90-24.fc16.6.x86_64
glibc-headers-2.14.90-24.fc16.6.x86_64
glibc-2.14.90-24.fc16.6.x86_64
glibc-devel-2.14.90-24.fc16.6.i686
glibc-debuginfo-2.14.90-24.fc16.6.x86_64
glibc-common-2.14.90-24.fc16.6.x86_64
glibc-debuginfo-common-2.14.90-24.fc16.6.x86_64
Comment 14 Knut J BJuland 2012-05-04 04:45:18 EDT
Created attachment 582054 [details]
objdump -x /lib/libc.so.6 >libc6.asm

objdump -x /lib/libc.so.6
Comment 15 Jakub Jelinek 2012-05-04 04:54:03 EDT
=> 0x434ec0ec <__strcasestr_sse42_nonascii+396>: movdqa 0x10(%esp),%xmm1
esp            0xffff9e34 0xffff9e34
most probably means something up in the call stack violates the ABI by misaligning the stack pointer, because %esp at that point should be 16-byte aligned.  It doesn't seem that this is a fault of strcasestr, because
the prologue does:
4491af60:       55                      push   %ebp
4491af61:       57                      push   %edi
4491af62:       56                      push   %esi
4491af63:       53                      push   %ebx
4491af64:       81 ec cc 00 00 00       sub    $0xcc,%esp
and the slot above call return value is supposed to be 16-byte aligned, thus when it subtracts the return call slot from that (4 bytes), then 4 pushes (0x10 bytes) and then 0xcc bytes, that is in total 0xe0 bytes subtracted, divisible by 16.
I guess you can go up in the backtrace using up and always see the value of the sp at each step, find out where the misaligning happens, report there.
Comment 16 Jeff Law 2012-05-04 13:32:06 EDT
But note that this is running in 32bit mode (see gdb startup in c#9 and all the addresses, register dump, etc); isn't the stack boundary in 32bit mode still just 32 bits?  So if a function in 32bit mode uses movdqa (such as strcasestr_sse42_nonascii) on a stack slot, doesn't that function have to forcably realign the stack?
Comment 17 Jakub Jelinek 2012-05-04 13:58:55 EDT
Linux 32-bit ABI has 16-byte esp alignment.  Code that doesn't ensure 16-byte alignment can still be run, but only as long as it doesn't call any functions with the default ABI directly, but through wrappers that realign the stack (-mstackrealign or force_align_arg_pointer attribute).
See -mstackrealign, -mpreferred-stack-boundary= and -mincoming-stack-boundary=
option documentation, the default on Linux is no -mstackrealign, and both of the other options set to 4 (i.e. 16-byte alignment).
Comment 18 Knut J BJuland 2012-05-04 14:14:33 EDT
It seem that IBM have fixed the problem in SPSS 20. I have now switched to SPSSS 20.0.
Comment 19 Jeff Law 2012-05-04 14:45:07 EDT
If you've still got V19 installed, start it up with your debugger, wait for the segfault, then

p/x $sp
up
p/x $sp
up

Repeat 18 more times.  That'll give us the value of the stack pointer in each frame.  From that we can determine if glibc is somehow misaligning the stack pointer or if it's an SPSS problem.

I don't see anything in the SPSS20 list of defect corrections which looks like it resolve this issue.  It's entirely possible this is working by chance in SPSS20.
Comment 20 Knut J BJuland 2012-05-04 16:13:41 EDT
Program received signal SIGSEGV, Segmentation fault.
0x434ec0ec in __strcasestr_sse42_nonascii () from /lib/libc.so.6
(gdb) p/x $sp
$1 = 0xffff9e34
(gdb) up
#1  0xf6687b28 in numa_node_size64 () from /usr/lib/libnuma.so.1
(gdb) p/x $sp
$2 = 0xffff9f14
(gdb) up
#2  0xf6687eb3 in ?? () from /usr/lib/libnuma.so.1
(gdb) p/x $sp
$3 = 0xffff9fc4
(gdb) up
#3  0x43399e40 in call_init.part.0 () from /lib/ld-linux.so.2
(gdb) p/x $sp
$4 = 0xffffa044
(gdb) up
#4  0x43399f70 in _dl_init_internal () from /lib/ld-linux.so.2
(gdb) p/x $sp
$5 = 0xffffa084
(gdb) up
#5  0x4339e521 in dl_open_worker () from /lib/ld-linux.so.2
(gdb) p/x $sp
$6 = 0xffffa0c4
(gdb) up
#6  0x43399d0f in _dl_catch_error () from /lib/ld-linux.so.2
(gdb) p/x $sp
$7 = 0xffffa124
(gdb) up
#7  0x4339dd06 in _dl_open () from /lib/ld-linux.so.2
(gdb) p/x $sp
$8 = 0xffffa204
(gdb) up
#8  0x4355fc09 in dlopen_doit () from /lib/libdl.so.2
(gdb) p/x $sp
$9 = 0xffffa274
(gdb) up
#9  0x43399d0f in _dl_catch_error () from /lib/ld-linux.so.2
(gdb) p/x $sp
$10 = 0xffffa2c4
(gdb) up
#10 0x435603ba in _dlerror_run () from /lib/libdl.so.2
(gdb) p/x $sp
$11 = 0xffffa3a4
(gdb) up
#11 0x4355fcb7 in dlopen@@GLIBC_2.1 () from /lib/libdl.so.2
(gdb) p/x $sp
$12 = 0xffffa3e4
(gdb) up
#12 0xf7f529cb in j9sl_open_shared_library () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
(gdb) p/x $sp
$13 = 0xffffa414
(gdb) up
#13 0xf7f5bb87 in j9vmem_startup () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
(gdb) p/x $sp
$14 = 0xffffae74
(gdb) up
#14 0xf7f4a086 in j9port_startup_library () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
(gdb) p/x $sp
$15 = 0xffffaed4
(gdb) up
#15 0xf7f49d04 in j9port_init_library () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/libj9prt24.so
(gdb) p/x $sp
$16 = 0xffffaef4
(gdb) up
#16 0xf6797253 in JNI_CreateJavaVM () from /opt/IBM/SPSS/Statistics/19/bin/JRE/lib/i386/j9vm/libjvm.so
(gdb) p/x $sp
$17 = 0xffffaf14
(gdb) up
#17 0x08052da7 in JCVirtualMachine::createJVM (this=0xffffc0b0, vmArgs=0xffffc058, env=0xffffc068) at /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/jcvirtualmachine.cpp:247
	in /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/jcvirtualmachine.cpp
(gdb) p/x $sp
$18 = 0xffffbfd4
(gdb) up
#18 0x08052024 in JCVirtualMachine::run (this=0xffffc0b0) at /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/jcvirtualmachine.cpp:45
(gdb) p/x $sp
$19 = 0xffffc04c
(gdb) up
#19 0x08053875 in main (argc=1, argv=0xffffc1a4) at /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/spss.cpp:14
	in /userhome/statbldr/views/builder1unix_spss1901_view/java_client/launchjc/unix/source/spss.cpp
(gdb) p/x $sp
$20 = 0xffffc094
(gdb) up
Initial frame selected; you cannot go up.
(gdb) p/x $sp
$21 = 0xffffc094
(gdb) up
Initial frame selected; you cannot go up.
(gdb) p/x $sp
Comment 21 Jeff Law 2012-05-05 01:27:58 EDT
Knut, thanks.  The stuff you've given us in the last few days has been extremely helpful.  What's exceedingly strange is it appears the stack starts misaligned and is dutifully kept misaligned throughout execution.  This could either be a kernel issue or dynamic linker issue.  I presume you're not running a custom kernel?

While it's possible to debug the early stages of the dynamic linker to see if the kernel is providing the misaligned stack or if the dynamic linker mucks things up at some point, it's fairly complex and might involve a lot of trial and error.

Are you interested in pursuing this further?  If so, would it be possible to temporarily get access to your machine so I can poke at the state of the dynamic linker?
Comment 22 Jakub Jelinek 2012-05-05 02:10:38 EDT
Normally it is _start (in gcrt1.o or Scrt1.o) that aligns stack, and main does that as well.

080482e0 <_start>:
 80482e0:       31 ed                   xor    %ebp,%ebp
 80482e2:       5e                      pop    %esi
 80482e3:       89 e1                   mov    %esp,%ecx
 80482e5:       83 e4 f0                and    $0xfffffff0,%esp
...
080483fc <main>:
 80483fc:       55                      push   %ebp
 80483fd:       89 e5                   mov    %esp,%ebp
 80483ff:       53                      push   %ebx
 8048400:       83 e4 f0                and    $0xfffffff0,%esp

Which would mean that SPSS19 would need to be linked both with broken *crt1.o and compiled with broken compiler...
Comment 23 Knut J BJuland 2012-05-05 07:27:55 EDT
Hi

I have sent a mail from knutjorgen(nospam at)knutjorgen.com to Jeff Law.
Comment 24 Jeff Law 2012-05-07 14:25:16 EDT
Jakub, 

I could easily see IBM using an old toolchain  or even possibly something other than GCC to compile SPSS.  We really don't have any contact with that part of IBM, so insight is lacking.

Knut, one thing you could pass along would be the disassembler dump of _start and main.  

If you start up your debugger and issue the following commands

disassemble main
disassemble _start

That might help track things down.

Thanks!
Comment 25 Knut J BJuland 2012-05-10 22:18:25 EDT
(gdb) disassemble main
Dump of assembler code for function main:
   0x080537fc <+0>:	push   %ebp
   0x080537fd <+1>:	mov    %esp,%ebp
   0x080537ff <+3>:	sub    $0x3,%esp
   0x08053802 <+6>:	and    $0xfffffff8,%esp
   0x08053805 <+9>:	add    $0x4,%esp
   0x08053808 <+12>:	sub    $0x6c,%esp
   0x0805380b <+15>:	mov    %edi,-0x4(%ebp)
   0x0805380e <+18>:	mov    %esi,-0x8(%ebp)
   0x08053811 <+21>:	mov    %ebx,-0xc(%ebp)
   0x08053814 <+24>:	call   0x8053819 <main+29>
   0x08053819 <+29>:	pop    %eax
   0x0805381a <+30>:	add    $0xcce3,%eax
   0x0805381f <+35>:	mov    %eax,-0x18(%ebp)
   0x08053822 <+38>:	add    $0xfffffff8,%esp
   0x08053825 <+41>:	movl   $0x6,(%esp)
   0x0805382c <+48>:	lea    -0x6208(%eax),%edx
   0x08053832 <+54>:	mov    %edx,0x4(%esp)
   0x08053836 <+58>:	mov    %eax,%ebx
   0x08053838 <+60>:	call   0x804ca64 <setlocale@plt>
   0x0805383d <+65>:	add    $0x8,%esp
   0x08053840 <+68>:	add    $0xfffffff4,%esp
   0x08053843 <+71>:	lea    -0x58(%ebp),%eax
   0x08053846 <+74>:	mov    %eax,(%esp)
   0x08053849 <+77>:	mov    0x8(%ebp),%eax
   0x0805384c <+80>:	mov    %eax,0x4(%esp)
   0x08053850 <+84>:	mov    0xc(%ebp),%eax
   0x08053853 <+87>:	mov    %eax,0x8(%esp)
   0x08053857 <+91>:	mov    -0x18(%ebp),%eax
   0x0805385a <+94>:	mov    %eax,%ebx
   0x0805385c <+96>:	call   0x8051eb4 <JCVirtualMachine::JCVirtualMachine(int, char**)>
   0x08053861 <+101>:	add    $0xc,%esp
   0x08053864 <+104>:	push   %edi
   0x08053865 <+105>:	lea    -0x58(%ebp),%eax
   0x08053868 <+108>:	mov    %eax,(%esp)
   0x0805386b <+111>:	mov    -0x18(%ebp),%eax
   0x0805386e <+114>:	mov    %eax,%ebx
   0x08053870 <+116>:	call   0x8051fbc <JCVirtualMachine::run()>
   0x08053875 <+121>:	add    $0x4,%esp
   0x08053878 <+124>:	mov    %eax,-0x14(%ebp)
   0x0805387b <+127>:	mov    -0x14(%ebp),%eax
   0x0805387e <+130>:	movzbl %al,%eax
   0x08053881 <+133>:	test   %eax,%eax
   0x08053883 <+135>:	jne    0x80538c3 <main+199>
   0x08053885 <+137>:	jmp    0x80538ba <main+190>
   0x08053887 <+139>:	call   0x805388c <main+144>
   0x0805388c <+144>:	pop    %eax
   0x0805388d <+145>:	add    $0xcc70,%eax
   0x08053892 <+150>:	mov    %eax,-0x5c(%ebp)
   0x08053895 <+153>:	push   %edi
   0x08053896 <+154>:	lea    -0x58(%ebp),%edx
   0x08053899 <+157>:	mov    %edx,(%esp)
   0x0805389c <+160>:	mov    %eax,%ebx
   0x0805389e <+162>:	call   0x8051f8a <JCVirtualMachine::~JCVirtualMachine()>
   0x080538a3 <+167>:	add    $0x4,%esp
   0x080538a6 <+170>:	push   %edi
   0x080538a7 <+171>:	mov    -0x60(%ebp),%eax
   0x080538aa <+174>:	mov    %eax,(%esp)
   0x080538ad <+177>:	mov    -0x5c(%ebp),%eax
   0x080538b0 <+180>:	mov    %eax,%ebx
   0x080538b2 <+182>:	call   0x804ccc4 <_Unwind_Resume@plt>
   0x080538b7 <+187>:	add    $0x4,%esp
   0x080538ba <+190>:	movl   $0x1,-0x10(%ebp)
   0x080538c1 <+197>:	jmp    0x80538ca <main+206>
   0x080538c3 <+199>:	movl   $0x0,-0x10(%ebp)
   0x080538ca <+206>:	mov    -0x10(%ebp),%eax
   0x080538cd <+209>:	mov    %eax,-0x1c(%ebp)
   0x080538d0 <+212>:	push   %edi
   0x080538d1 <+213>:	lea    -0x58(%ebp),%eax
   0x080538d4 <+216>:	mov    %eax,(%esp)
   0x080538d7 <+219>:	mov    -0x18(%ebp),%eax
   0x080538da <+222>:	mov    %eax,%ebx
   0x080538dc <+224>:	call   0x8051f8a <JCVirtualMachine::~JCVirtualMachine()>
   0x080538e1 <+229>:	add    $0x4,%esp
   0x080538e4 <+232>:	mov    -0x1c(%ebp),%eax
   0x080538e7 <+235>:	mov    -0xc(%ebp),%ebx
   0x080538ea <+238>:	mov    -0x8(%ebp),%esi
   0x080538ed <+241>:	mov    -0x4(%ebp),%edi
   0x080538f0 <+244>:	leave  
   0x080538f1 <+245>:	ret    
   0x080538f2 <+0>:	mov    %eax,-0x6c(%ebp)
   0x080538f5 <+3>:	mov    %edx,-0x68(%ebp)
   0x080538f8 <+6>:	nop
   0x080538f9 <+7>:	mov    -0x6c(%ebp),%eax
   0x080538fc <+10>:	mov    %eax,-0x60(%ebp)
   0x080538ff <+13>:	mov    -0x68(%ebp),%eax
   0x08053902 <+16>:	mov    %eax,-0x64(%ebp)
   0x08053905 <+19>:	jmp    0x8053887 <main+139>
   0x08053907 <+21>:	nop
End of assembler dump.
Comment 26 Knut J BJuland 2012-05-10 22:19:11 EDT
Dump of assembler code for function _start:
   0x0804cd40 <+0>:	xor    %ebp,%ebp
   0x0804cd42 <+2>:	pop    %esi
   0x0804cd43 <+3>:	mov    %esp,%ecx
   0x0804cd45 <+5>:	and    $0xfffffff0,%esp
   0x0804cd48 <+8>:	push   %eax
   0x0804cd49 <+9>:	push   %esp
   0x0804cd4a <+10>:	push   %edx
   0x0804cd4b <+11>:	push   $0x8058930
   0x0804cd50 <+16>:	push   $0x80588e8
   0x0804cd55 <+21>:	push   %ecx
   0x0804cd56 <+22>:	push   %esi
   0x0804cd57 <+23>:	push   $0x80537fc
   0x0804cd5c <+28>:	call   0x804cbe4 <__libc_start_main@plt>
   0x0804cd61 <+33>:	hlt    
   0x0804cd62 <+34>:	nop
   0x0804cd63 <+35>:	nop
End of assembler dump.
Comment 27 Jeff Law 2012-05-10 23:11:26 EDT
Bingo!  We have a winner!

main() isn't properly aligning the stack; this is clearly a problem with either the SPSS 19 build procedure and/or the compiler used to build SPSS 19. See main+0x6 where it masks off low bits in %esp using the mask 0xfffffff8.  The right mask is 0xfffffff0.

If you wanted to verify that SPSS20 handles this correctly, disassemble it's main procedure and look for an instruction near the beginning masking low bits off in %esp.  It should be using the mask 0xfffffff0.

Thanks for your patience and willingness to keep sending in register dumps, disassembly dumps, etc.  They were all very helpful in tracking this problem down to its root cause.
Comment 28 Jakub Jelinek 2012-05-11 01:24:58 EDT
_start they are using is buggy too, is missing
http://sources.redhat.com/git/?p=glibc.git;a=commitdiff;h=3f121ed386d60de3bdf1dd054ba742b4ae17e7a1
so it is really ancient.

Note You need to log in before you can comment on or make changes to this bug.